<div>
  <div class="d-flex align-center justify-space-between">
    <div class="d-flex align-center">
      <div>
        <p class="mb-0 fsize-15 font-weight-bold">Card information</p>
        <!-- <StripeCheckout /> -->
        <!-- <div>
          <div v-if="isMounted && isStripeLoaded">
            <StripeElementCard    style="width: 100%;"
              v-if="isStripeLoaded"
              :pk="publicKeyStripe"
              @token="tokenCreated"
              ref="elementRef"
              :tokenData="billing_details"
              />
            <button @click="submit" type="button">Pay</button>
          </div>
          <div v-else>stripe is NOT loaded</div>
        </div> -->
      </div>
    </div>
    <div>
      <div class="d-flex align-center">
        <img
          src="~/assets/images/master.svg"
          width="24"
          height="24"
          class="payment-trusted-badge--first"
        />
        <img
          class="ml-3"
          src="~/assets/images/visa.svg"
          width="24"
          height="24"
        />
      </div>
    </div>
  </div>
  <div class="mt-3" v-if="messageError">
    <span style="color: #c81e1e" class="fsize-12 font-weight-bold">
      {{messageError}}
      <span
        class="font-weight-bold"
        v-if="messageError.includes('Your card has insufficient funds')"
        >/ transaction limits</span
      >. Please try again with a different card, or contact your issuing bank
      for further details
    </span>
  </div>
  <div id="hideBottomInput">
    <v-row no-gutters>
      <v-col cols="12" class="px-1 pt-2">
        <v-text-field
          dense
          outlined
          placeholder="Card Number"
          v-model="card.cardNumber"
          :value="card.cardNumber"
          maxlength="23"
          v-debounce:1000ms="GetCardType"
          :class="errorFieldCard.isCardNumber ? 'border-error' : ''"
        >
          <template v-slot:prepend-inner>
            <div class="pa-1">
              <img
                v-if="cardType === 'Mastercard'"
                src="~/assets/images/master.svg"
                width="24"
                height="24"
                class="payment-trusted-badge--first"
              />
              <img
                v-else-if="cardType === 'Visa'"
                src="~/assets/images/visa.svg"
                width="24"
                height="24"
              />
              <v-icon v-else size="24" class="pa-0"> mdi-credit-card </v-icon>
            </div>
          </template>
        </v-text-field>
        <span class="red--text fsize-12" v-if="errorFieldCard.isCardNumber">
          {{errorFieldCard.isCardNumber}}
        </span>
      </v-col>
      <v-col cols="12" sm="6" class="px-1 pt-3">
        <v-text-field
          dense
          outlined
          placeholder="Expiry Date (MM/YY)"
          v-model="card.expiryDate"
          :value="card.expiryDate"
          maxlength="5"
          :class="errorFieldCard.isExpiryDate ? 'border-error' : ''"
        >
        </v-text-field>
        <span class="red--text fsize-12" v-if="errorFieldCard.isExpiryDate">
          {{errorFieldCard.isExpiryDate}}
        </span>
      </v-col>
      <v-col cols="12" sm="6" class="px-1 pt-3">
        <v-text-field
          dense
          outlined
          placeholder="CVV"
          type="number"
          v-model="card.cvv"
          oninput="if(this.value.length > this.maxLength) this.value = this.value.slice(0, this.maxLength)"
          maxlength="3"
          :class="errorFieldCard.isCvv ? 'border-error' : ''"
        >
        </v-text-field>
        <span class="red--text fsize-12" v-if="errorFieldCard.isCvv">
          {{errorFieldCard.isCvv}}
        </span>
      </v-col>
      <v-col cols="12" class="px-1 pt-2 card-holder-name">
        <v-text-field
          dense
          outlined
          placeholder="Name on Card"
          v-model="cardHolderName"
          @keyup="uppercase"
          :class="errorFieldCard.isCardHolderName ? 'border-error' : ''"
        >
        </v-text-field>
        <span class="red--text fsize-12" v-if="errorFieldCard.isCardHolderName">
          {{errorFieldCard.isCardHolderName}}
        </span>
      </v-col>
    </v-row>
    <div
      class="mt-3 mx-1 pa"
      v-if="messageError"
      style="
        background: rgba(244, 244, 244, 0.1);
        border: 1px solid red;
        padding: 12px;
        color: #c81e1e;
      "
    >
      <p class="mb-0 text-center fsize-14 font-weight-medium">
        Please double check the information and make the payment again !!
      </p>
      <p class="mb-0 text-center fsize-14 font-weight-medium">
        Payment Failed: {{messageError}}
        <span v-if="messageError.includes('Your card has insufficient funds')"
          >/ transaction limits</span
        >. Please try again with a different card, or contact your issuing bank
        for further details
      </p>
    </div>
    <v-btn
      color="#363636"
      class="elevation-0 rounded mt-4"
      block
      height="48"
      @click="cardCheckout()"
      v-if="listCart && listCart.length"
      :disabled="loading || loadingDiscount"
    >
      <v-progress-circular v-if="loading" size="18" indeterminate color="blue">
      </v-progress-circular>
      <div class="d-flex align-center" v-else>
        <v-icon color="#ffffff" size="20"> mdi-lock </v-icon>
        <span class="ml-2 text-none white--text font-weight-bold">
          Pay ${{$utils.formatCurrency(Math.round(totalPriceAll* 100) / 100)}}
          now
        </span>
      </div>
    </v-btn>
    <div class="mt-5">
      <p class="mb-0 fsize-14 text-center">
        All transactions are secure and encrypted by
      </p>
      <div class="mt-2">
        <img
          src="~/assets/images/trustbadge_footer_s.webp"
          alt=""
          width="100%"
          height="27.8"
          style="object-fit: contain"
        />
      </div>
    </div>
  </div>

  <v-row justify="center">
    <v-dialog v-model="dialogAuthenticate3rd" persistent max-width="960">
      <v-card>
        <iframe
          :src="urlIFrame"
          width="100%"
          :height="$vuetify.breakpoint.name !== 'lg' && $vuetify.breakpoint.name !== 'xl' && $vuetify.breakpoint.name !== 'md' ? '500' : '800'"
          frameborder="0"
        ></iframe>
      </v-card>
    </v-dialog>
  </v-row>
</div>
